Bug 918272 - [abrt] qemu-system-x86-1.0.1-4.fc17: vhost_dev_sync_region: Process /usr/bin/qemu-kvm was killed by signal 6 (SIGABRT)
Summary: [abrt] qemu-system-x86-1.0.1-4.fc17: vhost_dev_sync_region: Process /usr/bin/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 17
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:febe79d58f4ea24d645a571b784...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-05 19:24 UTC by rmarwah
Modified: 2013-04-11 23:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 23:37:44 UTC


Attachments (Terms of Use)
File: backtrace (22.10 KB, text/plain)
2013-03-05 19:24 UTC, rmarwah
no flags Details
File: build_ids (3.60 KB, text/plain)
2013-03-05 19:24 UTC, rmarwah
no flags Details
File: cgroup (128 bytes, text/plain)
2013-03-05 19:24 UTC, rmarwah
no flags Details
File: core_backtrace (1.30 KB, text/plain)
2013-03-05 19:24 UTC, rmarwah
no flags Details
File: dso_list (7.67 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: environ (3.29 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: maps (38.33 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: open_fds (6.46 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: smolt_data (2.64 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details
File: var_log_messages (10.28 KB, text/plain)
2013-03-05 19:25 UTC, rmarwah
no flags Details

Description rmarwah 2013-03-05 19:24:50 UTC
Description of problem:
I am running kvm autotest and just ran the following command 
./run -t qemu --nettype bridge

Version-Release number of selected component:
qemu-system-x86-1.0.1-4.fc17

Additional info:
backtrace_rating: 4
cmdline:        /bin/qemu-kvm -S -name virt-tests-vm1 -nodefaults -chardev socket,id=hmp_id_hmp1,path=/tmp/monitor-hmp1-20130305-134450-aJHOBKZ7,server,nowait -mon chardev=hmp_id_hmp1,mode=readline -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130305-134450-aJHOBKZ7,server,nowait -device isa-serial,chardev=serial_id_serial1 -chardev socket,id=seabioslog_id_20130305-134450-aJHOBKZ7,path=/tmp/seabios-20130305-134450-aJHOBKZ7,server,nowait -device isa-debugcon,chardev=seabioslog_id_20130305-134450-aJHOBKZ7,iobase=0x402 -device ich9-usb-uhci1,id=usb1 -drive file=/home/richa/virt-test/shared/data/images/jeos-17-64.qcow2,if=none,id=virtio0 -device virtio-blk-pci,drive=virtio0,bootindex=1 -device virtio-net-pci,netdev=idCJaClW,mac=9a:5a:5b:5c:5d:5e,id=idu0ZWWF -netdev tap,id=idCJaClW,vhost=on,fd=58 -m 512 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu Nehalem -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 -vnc :1 -vga std -rtc base=utc,clock=host,driftfix=none -boot order=cdn,once=c,menu=off -enable-kvm -incoming fd:10
crash_function: vhost_dev_sync_region
executable:     /usr/bin/qemu-kvm
kernel:         3.7.9-104.fc17.x86_64
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 vhost_dev_sync_region at /usr/src/debug/qemu-kvm-1.0.1/hw/vhost.c:30
 #5 vhost_client_sync_dirty_bitmap at /usr/src/debug/qemu-kvm-1.0.1/hw/vhost.c:71
 #7 cpu_notify_sync_dirty_bitmap at /usr/src/debug/qemu-kvm-1.0.1/exec.c:1753
 #8 cpu_physical_sync_dirty_bitmap at /usr/src/debug/qemu-kvm-1.0.1/exec.c:2141
 #9 memory_region_sync_dirty_bitmap at /usr/src/debug/qemu-kvm-1.0.1/memory.c:1077
 #10 vga_sync_dirty_bitmap at /usr/src/debug/qemu-kvm-1.0.1/hw/vga.c:1570
 #11 vga_draw_graphic at /usr/src/debug/qemu-kvm-1.0.1/hw/vga.c:1599
 #12 vga_update_display at /usr/src/debug/qemu-kvm-1.0.1/hw/vga.c:1861
 #14 vga_screen_dump at /usr/src/debug/qemu-kvm-1.0.1/hw/vga.c:2416
 #15 vga_hw_screen_dump at console.c:186

Comment 1 rmarwah 2013-03-05 19:24:54 UTC
Created attachment 705625 [details]
File: backtrace

Comment 2 rmarwah 2013-03-05 19:24:55 UTC
Created attachment 705626 [details]
File: build_ids

Comment 3 rmarwah 2013-03-05 19:24:57 UTC
Created attachment 705627 [details]
File: cgroup

Comment 4 rmarwah 2013-03-05 19:24:59 UTC
Created attachment 705628 [details]
File: core_backtrace

Comment 5 rmarwah 2013-03-05 19:25:01 UTC
Created attachment 705629 [details]
File: dso_list

Comment 6 rmarwah 2013-03-05 19:25:02 UTC
Created attachment 705630 [details]
File: environ

Comment 7 rmarwah 2013-03-05 19:25:04 UTC
Created attachment 705631 [details]
File: limits

Comment 8 rmarwah 2013-03-05 19:25:06 UTC
Created attachment 705632 [details]
File: maps

Comment 9 rmarwah 2013-03-05 19:25:08 UTC
Created attachment 705633 [details]
File: open_fds

Comment 10 rmarwah 2013-03-05 19:25:09 UTC
Created attachment 705634 [details]
File: proc_pid_status

Comment 11 rmarwah 2013-03-05 19:25:11 UTC
Created attachment 705635 [details]
File: smolt_data

Comment 12 rmarwah 2013-03-05 19:25:13 UTC
Created attachment 705636 [details]
File: var_log_messages

Comment 13 Cole Robinson 2013-04-01 20:38:45 UTC
Seems like this:

commit e314672a8a95f5dc98534f0682fce50fb83dbc5c
Author: Alex Williamson <alex.williamson@redhat.com>
Date:   Fri Aug 13 09:54:52 2010 -0400

    vhost: Fix size of dirty log sync on resize

Comment 14 Fedora Update System 2013-04-02 17:00:35 UTC
qemu-1.0.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qemu-1.0.1-5.fc17

Comment 15 Fedora Update System 2013-04-03 04:50:50 UTC
Package qemu-1.0.1-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.0.1-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4737/qemu-1.0.1-5.fc17
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2013-04-11 23:37:46 UTC
qemu-1.0.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.